Subject: NAND or other high density storage on MPC8260

From: Felix Radensky <[email-masked]>
Date: Tue, 27 Dec 2011 21:37:20 +0200

Hi,

On a custom board based on MPC8260 I have to replace end-of-life
2GB Sandisk mDoc H3 by other storage device of comparable density.
The most natural choice seems to be NAND connected to UPM.
However FSL UPM NAND driver in mainline does not support MPC82xx.
I have several questions in this regard:

1. How difficult would be to modify mainline UPM NAND driver to work
     on MPC8260 ?
2. What other options are feasible and cost effective? I was thinking 
about
     SPI NOR and Compact Flash on UPM.

Thanks.

Felix.